# BEGIN SourceDeps(oneline):
BuildRequires: gtk+-devel libSDL-devel libgtk+2-devel libportaudio2-devel pkgconfig(esound) pkgconfig(gthread-2.0)
# END SourceDeps(oneline)
Name:           mhwaveedit
Version:        1.4.22
Release:        alt1_4
Summary:        Sound editing program        

Group:          Sound
License:        GPLv2+
URL:            http://gna.org/projects/mhwaveedit
Source:         http://download.gna.org/mhwaveedit/%{name}-%{version}.tar.bz2

Requires:       pulseaudio
Requires:       icon-theme-hicolor

BuildRequires:  libpulseaudio-devel libalsa-devel libjack-devel
BuildRequires:  libsndfile-devel libsamplerate-devel ladspa_sdk
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  gettext
Source44: import.info


%description
mhWaveEdit is a graphical program for editing sound files. It is completely
free (GPL).
%prep
%setup -q


%build
%configure

iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
make %{?_smp_mflags} 

%install
#removal of buildroot is no longer necassary, except for EPEL5
make install DESTDIR=%{buildroot}

#install the icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mv share/pixmaps/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm


%find_lang %{name}
desktop-file-install    \
    --dir %{buildroot}%{_datadir}/applications \
     share/applications/%{name}.desktop

%files -f %{name}.lang
#Upstream has been contacted about incorrect fsf address 2012-08-07
%doc AUTHORS COPYING README BUGS NEWS TODO HACKING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1.*

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_4
- initial fc import

